package org.enfi.modules.system.service;

import org.enfi.common.system.vo.SysDepartModel;
import org.enfi.modules.system.entity.DepartHierarchy;

import java.util.List;

/**
 * @Author zbl
 * @Date: 2020/08/11/ 16:45
 * @Description
 */
public interface IDepartDataService {
    /**
     * 获取erp部门列表
     * @return
     */
    List<DepartHierarchy> findErpDepAll();
    /**
     * 批量保存部门信息
     * @return
     */
    public boolean saveAllSysDepart(List<SysDepartModel> sysDepartModelList);

    /**
     * 同步部门信息
     */
    public void importDep();
}
